Bug 366831 - kacpi_notify consuming lot of CPU
kacpi_notify consuming lot of CPU
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
All Linux
low Severity medium
: ---
: ---
Assigned To: Dave Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-05 09:15 EST by Tomasz Torcz
Modified: 2015-01-04 17:29 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:49:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Linux Kernel 8274 None None None Never

  None (edit)
Description Tomasz Torcz 2007-11-05 09:15:36 EST
Description of problem:
After installing latest kernel, system sometimes halts for few seconds.
When halts happen, "top" shows [kacpi_notify] consuming all available CPU.
There is no messages neither in dmesg nor system logs.
Right now my system looks like hung, but responds to ping over network.
Alsa I can't loging by ssh.

Hardware is Sun Java Workstation w1100z with single Opteron 150, 1 GB RAM.


Version-Release number of selected component (if applicable):
Fedora 7 up-to-date as today, kernel 2.6.23.1-10.fc7
Sun w1100z with latest BIOS: R01-B5 S1

How reproducible:
Happens very often.
Comment 1 Tomasz Torcz 2007-11-29 03:27:41 EST
Disabling cpufreq (AMD PowerNow!) in BIOS seems to fix this issue.
Comment 2 Christopher Brown 2008-01-15 22:32:00 EST
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel?

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.
Comment 3 Tomasz Torcz 2008-01-16 10:40:40 EST
Yes, this is still happening with 2.6.23.9-85.fc8.
As I noted, disabling cpufreq make this issue go away. Cpufreq could be disabled
in bios or by echoing "performance"/"powersave" to
/sys/devices/system/cpu/cpu0/cpufreq/scaling_governor
Comment 4 Christopher Brown 2008-01-16 11:01:47 EST
Okay, thanks for the feedback and additional info. Re-assigning to cpufreq
maintainer...
Comment 5 Bug Zapper 2008-05-14 10:59:52 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2008-06-16 22:49:04 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.